cvs commit: CVSROOT modules ports MOVED ports/lang Makefile ports/lang/gcc31 Makefile distinfo pkg-descr pkg-plist ports/lang/gcc31/files patch-ad patch-af patch-ai patch-ar patch-fa patch-fb patch-fc patch-va

Gerald Pfeifer gerald at pfeifer.com
Mon Aug 1 15:08:24 GMT 2005


On Mon, 1 Aug 2005, Alexey Dokuchaev wrote:
>> It is strongly recommended to migrate to GCC 3.4 or 4.0, since only these
>> are still actively maintained upstream and support FreeBSD 7, for example.
> There are still plenty of software that require GCC 3.3.  This includes
> various game SDK's and level editors out there I'm currently working on
> porting to FreeBSD.  That is, I'd like to have gcc33 preserved for some
> time.  Thanks!

I think gcc33 will be there for quite some time, but please note that
the gcc33 port fails to work on amd64 and FreeBSD 7.

Personally, I'd be very hesitant to accept any new port which fails to 
work with GCC 3.4 or later.  That's a maintenance nightmare in the making.

Gerald


More information about the cvs-all mailing list